(define-module (brainparty)
  #:use-module (gnu packages)
  #:use-module (gnu packages base)
  #:use-module (gnu packages gl)
  #:use-module (gnu packages sdl)
  #:use-module (gnu packages gcc)
  #:use-module (gnu packages audio)
  #:use-module (gnu packages networking)
  #:use-module (gnu packages image)
  #:use-module (gnu packages game-development)
  #:use-module (gnu packages curl)
  #:use-module (gnu packages pkg-config)
  #:use-module (gnu packages xorg)
  #:use-module (guix build-system gnu)
  #:use-module (guix build utils)
  #:use-module ((guix licenses) #:prefix license:)
  #:use-module (guix download)
  #:use-module (guix gexp)
  #:use-module (guix git-download)
  #:use-module (guix packages)
  #:use-module (guix utils))

(define-public brainparty
  (package
    (name "brainparty")
    (version "0.61")
    (source (origin
              (method url-fetch)
              (uri (string-append "https://launchpad.net/brainparty/trunk/"
                                  version "/+download/brainparty" version ".tar.gz"))
              (sha256
               (base32 "09d6f43d7ij8xfimc9pqhml7d7k16dfyv8wgn98m94szniivac39"))))
    (build-system gnu-build-system)
    (inputs `(("sdl" ,sdl)
              ("sdl-image" ,sdl-image)
              ("sdl-mixer" ,sdl-mixer)
              ("sdl-ttf" ,sdl-ttf)
              ("sdl-gfx" ,sdl-gfx)
              ("mesa" ,mesa) ; For OpenGL support
              ("glu" ,glu)))
    (arguments
     `(#:phases (modify-phases %standard-phases
        (delete 'configure))))
    (home-page "https://launchpad.net/brainparty")
    (synopsis "Brain Party - a fun, free puzzle game for all the family")
    (description "Brain Party is a fun, free puzzle game for all the family 
                  that's made up of 36 minigames designed to push your brain to its limits 
                  by testing memory, logic, mathematics, reaction time and more!")
    (license license:gpl3+)))
