(define-module (my_opengl_program)
  #:use-module (guix packages)
  #:use-module (gnu packages base)
  #:use-module (gnu packages commencement)
  #:use-module (gnu packages pkg-config)
  #:use-module (guix download)
  #:use-module (guix build-system gnu)
  #:use-module (gnu packages gl)
  #:use-module (gnu packages bash)
  #:use-module ((guix licenses) #:prefix license:)
  #:use-module (gnu packages image))

(define-public my_opengl_program
  (package
    (name "my_opengl_program")
    (version "1.0")
    (source (origin
              (method url-fetch)
              (uri (string-append "file:///home/neox/Projets/compute_shader_test/archive.tar.xz"))
              (sha256
               (base32
                "1zwpgis7py1bf8p88pz3mpai6a02qrdb8ww2fa9kxxdl9b8r2k81"))))
    (build-system gnu-build-system)
    (inputs
     `(("bash" ,bash)
       ("coreutils" ,coreutils)
       ("gcc-toolchain" ,gcc-toolchain)
       ("pkg-config" ,pkg-config)
       ("findutils" ,findutils)
       ("make" ,make)
       ("glu" ,glu)
       ("glew" ,glew)
       ("glfw" ,glfw)
       ("mesa-headers" ,mesa-headers)
       ("mesa" ,mesa)))
    (arguments
     `(#:phases
       (modify-phases %standard-phases
         (add-before 'configure 'patch-source
           (lambda* (#:key inputs outputs #:allow-other-keys)
             (substitute* "path/to/source/file.c"
               (("WIDTH 512") (string-append "WIDTH " (number->string WIDTH)))
               (("HEIGHT 512") (string-append "HEIGHT " (number->string HEIGHT))))
             #t)))))
    (home-page "https://example.com/my-opengl-program")
    (synopsis "My OpenGL Program")
    (description "A program that uses OpenGL compute shaders to blur an image without display.")
    (license license:gpl3)))
